Package com.sun.jna.platform.unix

## Class LibCAPI.ssize_t

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.unix.LibCAPI.ssize_t

All Implemented Interfaces:
  `NativeMapped`, `java.io.Serializable`

Enclosing interface:
  LibCAPI

    public static class LibCAPI.ssize_t
    extends IntegerType

This is a signed integer type used for a count of bytes or an error indication.

See Also:
  Serialized Form

### Field Summary

Fields
`static LibCAPI.ssize_t` `ZERO`

### Constructor Summary

Constructors
`ssize_t()`
`ssize_t​(long value)`

### Method Summary

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ZERO

    public static final LibCAPI.ssize_t ZERO

### Constructor Detail

#### ssize_t

    public ssize_t()

#### ssize_t

    public ssize_t​(long value)